import { SimpleLocalIntegration } from '../../core/index.js';
import { DoodsConfigFlow } from './doods.classes.configflow.js';
import { createDoodsDiscoveryDescriptor } from './doods.discovery.js';
import type { IDoodsConfig } from './doods.types.js';
import { doodsDomain, doodsProfile } from './doods.types.js';

export class DoodsIntegration extends SimpleLocalIntegration<IDoodsConfig> {
  public readonly domain = doodsDomain;
  public readonly discoveryDescriptor = createDoodsDiscoveryDescriptor();
  public readonly configFlow = new DoodsConfigFlow();

  constructor() {
    super(doodsProfile);
  }
}

export class HomeAssistantDoodsIntegration extends DoodsIntegration {}
